### Name

> XmHTMLAnchorScrollToId - scroll to the requested anchor

### Synopsis

> void XmHTMLAnchorScrollToId(Widget w, int anchor_id)

### Description

> XmHTMLAnchorScrollToId scrolls the currently displayed document so the requested anchor will be located at the topmost line of the visible area (if possible).

> w
>   Specifies the parent Widget ID containing the document to be scrolled. This must be a widget of class xmHTMLWidgetClass;
> anchor_id
>   Specifies the anchor to be displayed. This id must have been obtained previously using the XmHTMLAnchorGetId(3X) function;

### See Also

> XmHTML(3X), XmHTMLAnchorGetId(3X), XmHTMLAnchorScrollToName(3X)

XmHTML, October 7, 1997